=== debian/control ===
Source: ros-foxy-ros-ign-bridge
Section: misc
Priority: optional
Maintainer: Louise Poubel <louise@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libignition-msgs5-dev, libignition-transport8-dev, pkg-config, ros-foxy-ament-cmake, ros-foxy-ament-cmake-gtest, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-geometry-msgs, ros-foxy-launch-ros, ros-foxy-launch-testing, ros-foxy-launch-testing-ament-cmake, ros-foxy-nav-msgs, ros-foxy-rclcpp, ros-foxy-rosgraph-msgs, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-tf2-msgs, ros-foxy-trajectory-msgs, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-ros-ign-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-msgs5-dev, libignition-transport8-dev, ros-foxy-geometry-msgs, ros-foxy-nav-msgs, ros-foxy-rclcpp, ros-foxy-rosgraph-msgs, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-tf2-msgs, ros-foxy-trajectory-msgs, ros-foxy-ros-workspace
Description: Bridge communication between ROS and Ignition Transport
